'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.htmlFile = htmlFile;

var _htmlWebpackPlugin = require('html-webpack-plugin');

var _htmlWebpackPlugin2 = _interopRequireDefault(_htmlWebpackPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function htmlFile(template, filename) {
    var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

    return {
        plugins: [new _htmlWebpackPlugin2.default(_extends({
            template: template,
            filename: filename,
            inject: false
        }, options))]
    };
}